Description

Following Thomas Lange suggestion, I make the post here duplicating what I wrote in the forum.

I have been testing Audacious 4.0-beta1 so far in Windows and Linux, so I would like to share some of the issues I have found.

1) At the present moment, I was the one who asked for the modification of the Lyricwiki plugin and these ideas have been put in

practice. Thanks to Jim Turner for making this possible in Fauxdacious, sending his input here and Ariadne Conill for the work

implementing it in Audacious.

However, some issues I have found in the current implementation in Audacious 4.0-beta1 (and I have tested too the github version)

- The most important, the plugin is not implemented in the GTK interface (which means in Windows we can't enjoy it or Linux if we

use GTK). Of course in Windows the problem of fetching the lyrics from the website is not solved, but at least I could watch stored

local lyrics instead of disabling completely. Fauxdacious has it implemented in both GTK and QT interfaces in Linux, so I guess it is

possible to do it at least one last time if you say new features won't be implemented in GTK interface in the future.

- The current implementation has two issues not correctly implemented (sorry for the comparison again that in Faux.. it is working

correctly, so it won't be too much issue to fix these errors): In cases lyrics doesn't exist in Lyricwikia, it should be greyed out the

option of saving locally. It is not and when I chose this option, in the folder a .lrc file is created with the latest fetched lyrics (if you

have used previously) corresponding to a different song.

Thanks for your attention!

History

#1 - November 21, 2019 07:45 - Ariadne Conill

Apologies, but I do not have plans to port my rewrite to GTK at this time.  I do not even have GTK2 on my system...

And well, GTK support is in the process of being deprecated in favor of the Qt port (it will stay around for a while, but moving forward, we recommend

plugin authors to target the Qt version).

I will look into fixing the lyrics-saving issue.

#2 - November 21, 2019 10:46 - Ariadne Conill

- Status changed from New to Closed

Lyrics saving issue fixed in latest Git, will be in beta2.

#3 - November 21, 2019 11:34 - Pascual Lucero

Thanks for your answer!. Does it mean that the lyricwiki plugin will continue as disabled in Windows? (give that as far as I read, 4.0 for Windows is still

implemented in GTK?

Thanks again!

May 03, 2025 1/2



#4 - November 21, 2019 16:20 - John Lindgren

Qt will be the way forward on Win32 as well.  We just need someone to look into the text-scaling issues (at 125%, some fonts in the UI render at 120

px/in and some still render at 96 px/in).

#5 - December 10, 2019 18:42 - Jim Turner

The problem in Windows is not in the lyricwiki plugin, but in neon accessing https sites (ie. "httpS://lyrics.fandom.com/index.php).  For some reason,

on Windows, it seems to be necessary to NOT try to validate the site's SSL certificate on Windows?!  I had had to add a boolean config option

("neon:ignore_ssl_cert") and default it to TRUE on Win32 in neon/cert_verification.cc in order to be able to access pages such as this (but it fixed the

issue of lyricwiki not working on Windows for me):

--- /home/turnerjw/audacious-plugins_git/src/neon/cert_verification.cc    2019-11-27 12:30:33.092168460 -0600

+++ cert_verification.cc    2019-10-31 11:43:34.140614462 -0500

@@ -374,6 +375,9 @@

     // First check the certificate file, if we have one.

     const char * sslCertFile = g_getenv ("SSL_CERT_FILE");

+    if (aud_get_bool ("neon", "ignore_ssl_certs"))  return 0;

+

     if (sslCertFile != nullptr)

     {

         if (file_is_signer_of_cert (sslCertFile, serverCert))

 

Perhaps there's a better way Aucacious could use to address the issue, but that was the best I could come up with at the time as I don't use

Windows, except for testing things such as this.

Regards,

Jim
